import { InMemoryCache } from '@apollo/client/cache';
import { CdmLogger } from '@cdm-logger/core';
interface CreateCacheParams {
    getDataIdFromObject: (x?: any) => string;
    clientState: any;
    initialState?: any;
    logger: CdmLogger.ILogger;
}
export declare const createCache: ({ getDataIdFromObject, clientState }: CreateCacheParams) => InMemoryCache;
export declare const initializeCache: ({ cache, initialState, clientState, logger }: {
    cache: InMemoryCache;
    initialState?: any;
    clientState: any;
    logger: CdmLogger.ILogger;
}) => void;
export {};
